Trả về danh sách lệnh đặt trong phiên
curl --request GET \
--url https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"instrument": "<string>",
"instrumentItem": {
"instrument": "<string>",
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>",
"unit": 123,
"type": "<string>",
"supportStopOrder": true,
"supportLimitOrder": true
},
"qty": 123,
"qtyType": 123,
"side": "<string>",
"type": "<string>",
"filledQty": 123,
"avgPrice": 123,
"limitPrice": 123,
"stopPrice": 123,
"lastModified": 123,
"status": "<string>"
}
]Orders
Trả về danh sách lệnh đặt trong phiên
GET
/
broker-users
/
{userId}
/
accounts
/
{accountId}
/
orders
Trả về danh sách lệnh đặt trong phiên
Ủy quyền
OAuth2 Implicit Grant
FlowNgầm định
- Authorization URL
- https://accounts.fireant.vn/connect/authorize
Scopes1
orders-read
Đọc danh sách lệnh giao dịch chứng khoán
Tham số đường dẫn
Id của user đã kết nối vào tài khoản FireAnt
Id tài khoản tại công ty chứng khoán của user